requirejs('controls/youtubePlayerController');

window.playerUtils.override({
    initialize: function ($super) {
        var mainContentDiv = qe(document.body, '[data-store]');

        // add Youtube controller
        requirejs('controls/youtubePlayerController');
        var ytCtrl = document.createElement('div');
        ytCtrl.setAttribute('data-id', 'ytController');
        ytCtrl.style.display = 'none';
        mainContentDiv.appendChild(ytCtrl);
        ytCtrl.controlClass = new YoutubePlayerController(ytCtrl);

        window.ytPlayer = ytCtrl;

        $super();
    }
});